# -*- coding: UTF-8 -*-

from unload.node.node import Node
from unload.node.nodeparams import DbReader, Cash
from unload.node.nodeparams import SmagConverter, ShtrihConverter, OracleConverter

def getNodes():
    
#    oracle
    nodes = [
             Node(
                  id = '1',
                  cashes = [
                            Cash(12, [OracleConverter('/tmp/sales/1.txt')], backup_dir = '/tmp/1/archive'),
                            #Cash(10906, '/tmp/sales/2.txt')
                            ],
                  reader = DbReader( 
                                    host = '192.169.1.200',
                                    port = 3306, 
                                    user = 'netroot', 
                                    passwd = 'netroot', 
                                    #db = 'artixfive_struct',
                                    db = 'documentsAll',
                                    ),
                  ),
             ]
        
##    SHTRIH
#    nodes = [
#             Node(
#                  id = '1',
#                  cashes = [
#                            Cash(12, [ShtrihConverter(discountsDetail = False, '/tmp/sales/1.txt')], backup_dir = '/tmp/1/archive'),
#                            #Cash(10906, [ShtrihConverter(discountsDetail = False, '/tmp/sales/1.txt')])
#                            ],
#                  reader = DbReader(
#                                    #host = '192.169.0.195', 
#                                    host = '192.169.10.50',
#                                    port = 3306, 
#                                    user = 'netroot', 
#                                    passwd = 'netroot', 
#                                    #db = 'artixfive_struct',
#                                    db = 'documents',
#                                    ),
#                  ),
#             ]




#    # SMAG
#    nodes = [
#             Node(
#                  id = '1',
#                  cashes = [
#                            Cash(12, [SmagConverter(format = 'dat', '/tmp/sales')], backup_dir = '/tmp/1/archive'),
#                            Cash(10906, [SmagConverter(format = 'dat', '/tmp/sales')])
#                            ],
#                  reader = DbReader(
#                                    host = '192.169.0.195', 
#                                    port = 3306, 
#                                    user = 'netroot', 
#                                    passwd = 'netroot', 
#                                    db = 'artixfive_struct',
#                                    ), 
#                  ),
#             ]


    return nodes
