# -*- coding: UTF-8 -*-
'''
Created on 29.03.2012

@author: Chaynikov Vladimir
'''

from upload.node.node import Node, AifConverterParameters, SmagConverterParameters, SmagUkm4ConverterParameters, QueueInserterConfig, QueueParameters, ShtrihConverterParameters


def getNodes():
    nodes = [
             Node(id = '1', 
                  backup_dir = '/home/user/backup/archive', 
                  converters = [ShtrihConverterParameters(flags = ['/home/user/shtrih/*.flz'], 
                                                     data = ['/home/user/shtrih/*.spr'])], 
                  pack_size = 1, 
                  inserter = QueueInserterConfig(queue = QueueParameters(host = 'localhost', port = 5672))),
#             Node(id = '2', 
##                  backup_dir = '/tmp/1/archive', 
#                  converters = [SmagUkm4ConverterParameters(flags = ['/tmp/1/*.cng'], 
#                                                     data = ['/tmp/1/*.dat'],
##                                                     charset = '866', 
#                                                     format = 'dat',
#                                                     discount = 'modern'
#                                                     )], 
#                  pack_size = 100,
#                  inserter = QueueInserterConfig(queue = QueueParameters(host = 'localhost', port = 5672))),

             ]
    return nodes