import sys, os
import signal
sys.path[0] = os.path.normpath('%s/../../..' % sys.path[0])
from common import logger, config
from common.mproctaskrunner import MprocTaskRunner
logger.Logger('cs')
from upload.fam import fam
import traceback

log = logger.Logger().getLoggerUpload("main")
log.info(u"exchange-upload start for cs")

def stop(signum, frame):
    fam.stop()
signal.signal(signal.SIGTERM, stop)

if not config.read(sys.path[0] + "/../config/cs/exchangers.ini"):
    log.error(u"Configuration file 'exchangers.ini' not found. The system 'exchangers' is not running.")
    exit(1)

try:
    fam.start(True, MprocTaskRunner())
except Exception, e:
    log.error(u'%s' % traceback.format_exc())
