import sys, os
sys.path[0] = os.path.normpath('%s/../../..' % sys.path[0])
from common import logger, config
logger.Logger('cs')
from upload.fam import restService
import traceback

log = logger.Logger().getLoggerUpload("rest")

def main():
    if not config.read(sys.path[0] + "/../config/cs/exchangers.ini"):
        log.error("Configuration file 'exchangers.ini' not found. The system 'exchangers' is not running.")
        exit(1)

    errorSoapLog = logger.Logger().getLogger('spyne.application', 'restErrors')
    try:
        restService.start(isCash = False)
    except Exception, e:
        errorSoapLog.error(traceback.format_exc())


if __name__ == '__main__':
    main()
